package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag496;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT496Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT496Creator mt496Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt496Creator = (MT496Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt496Creator.getNarrative();
        mt496Creator.set("77A", tag77AValue);
    }
}
